/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.river.artifacts.model;

import org.dive4elements.river.model.TimeInterval;


public class HistoricalWQKms extends WQKms {

    private TimeInterval timeInterval;

    public HistoricalWQKms() {
    }

    public HistoricalWQKms(double[] kms, double[] qs, double[] ws, String name,
        TimeInterval timeInterval) {
        super(kms, qs, ws, name);
        this.timeInterval = timeInterval;
    }

    public TimeInterval getTimeInterval() {
        return timeInterval;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
